Skip to content
Permalink
Browse files

git clone with a depth of 500 to fix the version

Current Travis CI builds use a version that starts with "0.0.0" instead
of "0.3.0":

> [info] Packaging /home/travis/build/fthomas/scala-steward/modules/core/.jvm/target/scala-2.12/scala-steward-core_2.12-0.0.0-167-fe8f4da7.jar ...

I guess sbt-dynver can't correctly determine the version with a clone
depth of 50 (which is the default). This sets the git clone depth to
500 to fix the version.
  • Loading branch information...
fthomas committed Aug 8, 2019
1 parent f3c2135 commit 2d603bfa2f0d7a470fd2c7f2570b83d5f0244394
Showing with 2 additions and 0 deletions.
  1. +2 −0 .travis.yml
@@ -7,6 +7,8 @@ scala:
services:
- docker

git:
depth: 500
before_install:
- git fetch --tags
cache:

0 comments on commit 2d603bf

Please sign in to comment.
You can’t perform that action at this time.